from .grpc_lib.invoice_pb2 import (
    CreateInvoiceRequest,
    InquiryInvoiceRetrieveRequest,
    PaymentInvoiceRequest,
)
from .grpc_lib.invoice_pb2_grpc import (
    CreateInvoiceControllerStub,
    InquiryInvoiceControllerStub,
    PaymentInvoiceControllerStub,
)

SUCCESS_CODE = "0"


class InvoiceRequestMessages:
    CREATE = CreateInvoiceRequest()
    INQUIRY = InquiryInvoiceRetrieveRequest()
    PAYMENT_REQUEST = PaymentInvoiceRequest()


class InvoiceRPCMethodNames:
    CREATE = "Create"
    INQUIRY = "Retrieve"
    PAYMENT_REQUEST = "PaymentRequest"


class InvoiceControllerStubs:
    CREATE = CreateInvoiceControllerStub()
    INQUIRY = InquiryInvoiceControllerStub()
    PAYMENT_REQUEST = PaymentInvoiceControllerStub()
